> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Metriche delle ricerche

> Ottieni le metriche del numero di ricerche per la tua Enterprise

Richiede l'API key personale di un amministratore Enterprise.

Restituisce le metriche del numero di ricerche per la tua Enterprise nel periodo di tempo specificato.


## OpenAPI

````yaml it/v2-openapi.yaml GET /v2/enterprise/metrics/searches
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/metrics/searches:
    get:
      tags:
        - metrics
      summary: Endpoint delle metriche di ricerca Enterprise
      operationId: enterprise_searches_metrics_endpoint_v2_enterprise_metrics_searches_get
      parameters:
        - in: query
          name: start_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start Date
        - in: query
          name: end_date
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End Date
        - in: query
          name: start
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: Start
        - in: query
          name: end
          required: false
          schema:
            anyOf:
              - format: date-time
                type: string
              - type: 'null'
            title: End
        - in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Org Ids
        - in: query
          name: user_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: User Ids
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchesMetrics'
          description: Risposta corretta
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    SearchesMetrics:
      properties:
        searches_count:
          title: Searches Count
          type: integer
      required:
        - searches_count
      title: SearchesMetrics
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````